libpthread.so.0: cannot open shared object file解决方法

转载 2013年12月03日 14:03:10
在linux 5上装10G RAC时,常常会碰到“libpthread.so.0: cannot open shared object file"这个报错的,这个报错是由于无法使用vipca导致的。 该报错有以下两种解决方案:
方法1:
不去理会,选择继续,然后安装10.2.0.4及以上版本的patchsets,然后在来手工执行vipca完成vip配置工作,因为这个错误在10.2.0.4版本中已经得到修复
方法2:
手工配置
确认网络配置
# ./oifcfg getif
eth0 172.21.1.0 global public
eth1 10.10.10.0 global cluster_interconnect
# ./oifcfg iflist
eth0 172.21.1.0
eth1 10.10.10.0
如果不正确可以使用下列命令配置
# ./oifcfg setif -global eth0/172.21.1.0:public
# ./oifcfg setif -global eth1/10.10.10.0:cluster_interconnect
然后修改vipca和srvctl ,搜索LD_ASSUME_KERNEL,注释掉下列几行
arch='uname -m'
#       if [ "$arch" = "i686" -o "$arch" = "ia64" -o "$arch" = "x86_64" ]
#       then
#            LD_ASSUME_KERNEL=2.4.19
#            export LD_ASSUME_KERNEL
#       fi
再执行./vipca即可,二者原理相同
关于这个报错,Oracle有以下文档进行说明

这几个地方都要注意:
<CRS_HOME>/bin/vipca
<CRS_HOME>/bin/srvctl
<RDBMS_HOME>/bin/srvctl
<ASM_HOME>/bin/srvctl


boost.python小试牛刀

http://www.boost.org/doc/libs/1_55_0/libs/python/doc/ http://www.boost.org/doc/libs/1_55_0/libs/pyth...
  • xiarendeniao
  • xiarendeniao
  • 2014年04月26日 19:06
  • 2941

安装libjpeg库后提示libjpeg.so.8不存在(linux环境)

作为一个小白,Python3的第一个练手项目是写一个爬虫,需要处理验证码,所以用了Pillow模块。 程序写好后,在本地的Windows上用得好好的,但移植到云服务器 (centos)却出了问题,...
  • cxq2046
  • cxq2046
  • 2015年12月10日 20:09
  • 3049

Php 不重新编译安装openssl 扩展

1。 不编译安装扩展\ 亲测可用 2. 重新配置php.ini文件编译的时候忘了指定--with-config-file-path=/usr/local/Php5.6/etc/,现在打开phpin...
  • suitingwei
  • suitingwei
  • 2015年12月10日 12:06
  • 814

CentOS 64位 搭建LAMP环境

CentOS LAMP Apache php mysql
  • zzzzzqf
  • zzzzzqf
  • 2015年04月20日 22:18
  • 957

avizo9.0安装教程

Avizo 9.0安装教程 1、解压安装包,打开“AMPED”文件夹,解压“flexnet-server_11.12.1.1-2_Windows-x86_64-msvc10.zip” 2、...
  • tingyu449
  • tingyu449
  • 2017年12月19日 14:42
  • 72

Linux安装ArcSDE典型问题

一:oracle文件权限问题错误表现:在执行ArcSDE命令操作时,不管是sdesetup或是sdemon报如下错误:[arcsde@RedHat ~]$ sdemon -o start -p sde...
  • linghe301
  • linghe301
  • 2013年01月07日 09:12
  • 7723

【问题收录】在ubuntu14.04 64位下运行jd-gui

jd-gui 默认只能在ubuntu 32位的环境下运行。 要成功运行我们需要安装一下组件: sudo apt-get install libgtk2.0-0:i386 libxxf86vm1:i...
  • Grace_0642
  • Grace_0642
  • 2015年01月14日 17:11
  • 1702

cuda7.0+ caffe 小白安装手记

本人是linux新手,在历时两个星期的纠结的caffe安装之路后,终于在昨天成功用上了caffe!先说说我的电脑配置吧,戴尔Optiplex 990主机,Q67主板,Geforce GTX960 显卡...
  • u012208159
  • u012208159
  • 2015年07月23日 10:22
  • 12388

CentOS6.4 安装NCL遇到的问题

问题1:缺少openssl-0.9.8   结果程序报错: "ncl: error while loading shared libraries: libcrypto.so.0.9.8: canno...
  • BeautyGao
  • BeautyGao
  • 2014年05月15日 08:31
  • 2951

linux下 WMB通过ODBC连接数据库

如果在使用mb的过程中需要从数据库中取数据一般有两种
  • avwjq
  • avwjq
  • 2014年11月09日 10:07
  • 1017
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:libpthread.so.0: cannot open shared object file解决方法
举报原因:
原因补充:

(最多只允许输入30个字)